class ViTSTR(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  prepare_data_per_node : bool
  allow_zero_length_dataloader_with_multiple_devices : bool
  _log_hyperparams : bool
  _dtype : int
  _device : Device
  trainer : NoneType
  _use_amp : bool
  precision : int
  _example_input_array : NoneType
  _current_fx_name : NoneType
  _automatic_optimization : bool
  _truncated_bptt_steps : int
  _metric_attributes : NoneType
  _should_prevent_trainer_and_dataloaders_deepcopy : bool
  _running_torchscript : bool
  batch_size : int
  lr : float
  warmup_pct : float
  weight_decay : float
  bos_id : int
  eos_id : int
  pad_id : int
  _hparams_name : str
  max_label_length : int
  model : __torch__.strhub.models.vitstr.model.ViTSTR
  def forward(self: __torch__.strhub.models.vitstr.system.ViTSTR,
    images: Tensor,
    max_length: Optional[int]=None) -> Tensor:
    if torch.__is__(max_length, None):
      max_length0 = self.max_label_length
    else:
      max_length1 = unchecked_cast(int, max_length)
      max_label_length = self.max_label_length
      _0 = ops.prim.min(max_length1, max_label_length)
      max_length0 = _0
    model = self.model
    logits = (model).forward(images, torch.add(max_length0, 2), )
    logits0 = torch.slice(torch.slice(logits), 1, 1)
    return logits0
