class Mlp(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  fc1 : __torch__.torch.nn.modules.linear.___torch_mangle_1.Linear
  act : __torch__.torch.nn.modules.activation.GELU
  drop1 : __torch__.torch.nn.modules.dropout.Dropout
  fc2 : __torch__.torch.nn.modules.linear.___torch_mangle_2.Linear
  drop2 : __torch__.torch.nn.modules.dropout.Dropout
  def forward(self: __torch__.timm.models.layers.mlp.Mlp,
    x: Tensor) -> Tensor:
    fc1 = self.fc1
    x0 = (fc1).forward(x, )
    act = self.act
    x1 = (act).forward(x0, )
    drop1 = self.drop1
    x2 = (drop1).forward(x1, )
    fc2 = self.fc2
    x3 = (fc2).forward(x2, )
    drop2 = self.drop2
    return (drop2).forward(x3, )
