class PatchEmbed(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  img_size : List[int]
  patch_size : List[int]
  grid_size : Tuple[int, int]
  num_patches : int
  flatten : bool
  proj : __torch__.torch.nn.modules.conv.Conv2d
  norm : __torch__.torch.nn.modules.linear.Identity
  def forward(self: __torch__.timm.models.layers.patch_embed.PatchEmbed,
    x: Tensor) -> Tensor:
    _0 = "Input image height ({}) doesn\'t match model ({})."
    _1 = "Input image width ({}) doesn\'t match model ({})."
    B, C, H, W, = torch.size(x)
    img_size = self.img_size
    _2 = torch.eq(H, img_size[0])
    img_size0 = self.img_size
    _3 = torch.format(_0, H, img_size0[0])
    if _2:
      pass
    else:
      ops.prim.RaiseException(torch.add("AssertionError: ", _3))
    img_size1 = self.img_size
    _4 = torch.eq(W, img_size1[1])
    img_size2 = self.img_size
    _5 = torch.format(_1, W, img_size2[1])
    if _4:
      pass
    else:
      ops.prim.RaiseException(torch.add("AssertionError: ", _5))
    proj = self.proj
    x0 = (proj).forward(x, )
    flatten = self.flatten
    if flatten:
      x2 = torch.transpose(torch.flatten(x0, 2), 1, 2)
      x1 = x2
    else:
      x1 = x0
    norm = self.norm
    return (norm).forward(x1, )
